org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_OBJECTSTATUSNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_OBJECTSTATUSNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_OBJECTSTATUSNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_OBJECTSTATUSNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_OBJECTSTATUSNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_OBJECTSTATUSNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_OBJECTSTATUSNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_OBJECTSTATUSNode` | `bindIcon(IDynamicContentBindingObject value)`
    `UI5M_OBJECTSTATUSNode` | `bindIcondensityaware(IDynamicContentBindingObject value)`
    `UI5M_OBJECTSTATUSNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_OBJECTSTATUSNode` | `bindState(IDynamicContentBindingObject value)`
    `UI5M_OBJECTSTATUSNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_OBJECTSTATUSNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_OBJECTSTATUSNode` | `bindText(IDynamicContentBindingObject value)`
    `UI5M_OBJECTSTATUSNode` | `bindTitle(IDynamicContentBindingObject value)`
    `UI5M_OBJECTSTATUSNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_OBJECTSTATUSNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_OBJECTSTATUSNode` | `setComment(java.lang.String value)`
    `UI5M_OBJECTSTATUSNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_OBJECTSTATUSNode` | `setIcon(java.lang.String value)`
    `UI5M_OBJECTSTATUSNode` | `setIcondensityaware(java.lang.String value)`
    `UI5M_OBJECTSTATUSNode` | `setId(java.lang.String value)`
    `UI5M_OBJECTSTATUSNode` | `setReference(java.lang.String value)`
    `UI5M_OBJECTSTATUSNode` | `setRendered(boolean value)`
    `UI5M_OBJECTSTATUSNode` | `setRendered(java.lang.String value)`
    `UI5M_OBJECTSTATUSNode` | `setState(java.lang.String value)`
    `UI5M_OBJECTSTATUSNode` | `setStyleseq(java.lang.String value)`
    `UI5M_OBJECTSTATUSNode` | `setStylevariant(java.lang.String value)`
    `UI5M_OBJECTSTATUSNode` | `setText(java.lang.String value)`
    `UI5M_OBJECTSTATUSNode` | `setTitle(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_OBJECTSTATUSNode

          public UI5M_OBJECTSTATUSNode()

  - ### Method Detail

    - #### setId

          public UI5M_OBJECTSTATUSNode setId(java.lang.String value)

    - #### setAdapterbinding

          public UI5M_OBJECTSTATUSNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_OBJECTSTATUSNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_OBJECTSTATUSNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_OBJECTSTATUSNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_OBJECTSTATUSNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_OBJECTSTATUSNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_OBJECTSTATUSNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setIcon

          public UI5M_OBJECTSTATUSNode setIcon(java.lang.String value)

    - #### bindIcon

          public UI5M_OBJECTSTATUSNode bindIcon(IDynamicContentBindingObject value)

    - #### setIcondensityaware

          public UI5M_OBJECTSTATUSNode setIcondensityaware(java.lang.String value)

    - #### bindIcondensityaware

          public UI5M_OBJECTSTATUSNode bindIcondensityaware(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_OBJECTSTATUSNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_OBJECTSTATUSNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_OBJECTSTATUSNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_OBJECTSTATUSNode setRendered(boolean value)

    - #### setState

          public UI5M_OBJECTSTATUSNode setState(java.lang.String value)

    - #### bindState

          public UI5M_OBJECTSTATUSNode bindState(IDynamicContentBindingObject value)

    - #### setStyleseq

          public UI5M_OBJECTSTATUSNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_OBJECTSTATUSNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_OBJECTSTATUSNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_OBJECTSTATUSNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public UI5M_OBJECTSTATUSNode setText(java.lang.String value)

    - #### bindText

          public UI5M_OBJECTSTATUSNode bindText(IDynamicContentBindingObject value)

    - #### setTitle

          public UI5M_OBJECTSTATUSNode setTitle(java.lang.String value)

    - #### bindTitle

          public UI5M_OBJECTSTATUSNode bindTitle(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.